package com.huimv.admin.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.util.Date;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 存栏结构
 * </p>
 *
 * @author author
 * @since 2023-02-22
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("prod_stock")
public class ProdStock implements Serializable {


    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 母猪存栏
     */
    private Integer mzcl;

    /**
     * 公猪存栏
     */
    private Integer gzcl;

    /**
     * 哺乳猪存栏
     */
    private Integer brzcl;

    /**
     * 保育猪存栏
     */
    private Integer byzcl;

    /**
     * 育肥猪存栏
     */
    private Integer yfzcl;

    /**
     * 后备猪存栏
     */
    private Integer hbzcl;

    /**
     * 妊娠猪存栏
     */
    private Integer rszcl;

    /**
     * 哺乳母猪存栏
     */
    private Integer brmzcl;

    /**
     * 空怀猪存栏
     */
    private Integer khzcl;


    /**
     * 商品猪存栏
     */
    private Integer spzcl;


    /**
     * 仔猪存栏
     */

    private Integer zzcl;

    /**
     * 总存栏
     */

    private Integer zcl;

    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date creatTime;

    private Integer farmId;

    /**
     * 0:接收 1:手填
     */
    private Integer displayType;

    private String other2;

    private String other3;

    private Integer dong1;
    private Integer dong2;
    private Integer dong3;
    private Integer dong4;

    private Integer outPig;
    private Integer inPig;
    private Integer monthOutPig;
    private Integer monthInPig;
    private Integer yearOutPig;
    private Integer yearInPig;
    private Integer siPig;
    private String cheng;

    private Integer yfcz;
    private Integer inpigcz;
    private Integer outpigcz;
    private Integer zryf;
    private Integer zrinpig;
    private Integer zroutpig;


}
