package com.huimv.admin.entity;

import cn.hutool.core.date.DateTime;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDate;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author author
 * @since 2024-01-24
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("prod_month_out_pig")
public class ProdMonthOutPig implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    private Integer farmId;

    /**
     * 月
     */
    @JsonFormat(pattern = "yyyy-MM" ,timezone = "GMT+8")
    private Date dateTime;

    /**
     * 出猪数
     */
    private Integer outPig;

    /**
     * 出猪差值
     */
    private Integer outPigCz;

    /**
     * 去年数量
     */
    private Integer zrPig;


}
