package com.huimv.admin.mapper;

import cn.hutool.core.date.DateTime;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.huimv.admin.entity.ProdStock;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 存栏结构 Mapper 接口
 * </p>
 *
 * @author author
 * @since 2023-02-22
 */
public interface ProdStockMapper extends BaseMapper<ProdStock> {
    List<ProdStock> listDay(@Param(Constants.WRAPPER) QueryWrapper<ProdStock> queryWrapper);

    Integer sumInPig(@Param(Constants.WRAPPER) QueryWrapper<ProdStock> queryWrapper);

    Integer sumOutPig(@Param(Constants.WRAPPER) QueryWrapper<ProdStock> queryWrapper);
}
